Index: trunk/Softwares/Min.or32/Makefile
===================================================================
--- trunk/Softwares/Min.or32/Makefile	(revision 68)
+++ trunk/Softwares/Min.or32/Makefile	(revision 78)
@@ -1,96 +1,18 @@
 # common definition
-include			Makefile.morpheo
+DIRECTORY_SRC			= ./src
+DIRECTORY_C			= $(DIRECTORY_SRC)/c
+DIRECTORY_ASM			= $(DIRECTORY_SRC)/asm
+DIRECTORY_SYS			= $(DIRECTORY_SRC)/sys
+DIRECTORY_INCLUDE       	= $(DIRECTORY_C)/include
+DIRECTORY_LDSCRIPT		= $(DIRECTORY_SRC)/ldscript/
 
-#-----[ Directory ]---------------------------------------------------------------
-DIR_SRC			= ./src
-DIR_C			= $(DIR_SRC)/c
-DIR_ASM			= $(DIR_SRC)/asm
-DIR_SYS			= $(DIR_SRC)/sys
-DIR_INC       		= $(DIR_C)/include
-
-DIR_OBJ			= obj
-DIR_BIN			= bin
-
-EXE			= soft
+INCLUDE				= -I$(DIRECTORY_INCLUDE)
+LIBRARY				= 
 
 #-----[ Files ]-------------------------------------------------------------------
-OBJ_ASM			= $(patsubst $(DIR_ASM)/%.s,$(DIR_OBJ)/%.o,$(wildcard $(DIR_ASM)/*.s))
-OBJ_SYS			= $(patsubst $(DIR_SYS)/%.s,$(DIR_OBJ)/%.o,$(wildcard $(DIR_SYS)/*.s))
-OBJ_C           	= $(patsubst $(DIR_C)/%.c,$(DIR_OBJ)/%.o,$(wildcard $(DIR_C)/*.c))
+OBJECTS_ASM			= $(patsubst $(DIRECTORY_ASM)/%.s,$(DIRECTORY_OBJ)/%.o,$(wildcard $(DIRECTORY_ASM)/*.s))
+OBJECTS_SYS			= $(patsubst $(DIRECTORY_SYS)/%.s,$(DIRECTORY_OBJ)/%.o,$(wildcard $(DIRECTORY_SYS)/*.s))
+OBJECTS_C       	    	= $(patsubst $(DIRECTORY_C)/%.c,$(DIRECTORY_OBJ)/%.o,$(wildcard $(DIRECTORY_C)/*.c))
 
-OBJ			= $(OBJ_SYS) $(OBJ_ASM) $(OBJ_C)
+include				../Makefile.Software
 
-#-----[ Rules ]-------------------------------------------------------------------
-.PRECIOUS		: $(DIR_BIN)/%.x $(DIR_OBJ)/%.o $(DIR_OBJ)/%.a
-
-all 			: test_env $(DIR_BIN)/$(EXE).x.txt
-
-$(DIR_BIN)/%.x.txt	: $(DIR_BIN)/%.x
-			@\
-			$(ECHO) "List symbols        of $*";		\
-			$(NM)      $(NM_OPT)      $^ > $@.nm;		\
-			$(ECHO) "Display information of $*";		\
-			$(OBJDUMP) $(OBJDUMP_OPT) $^ > $@;
-
-$(DIR_BIN)/%.x		: $(OBJ_SYS) $(OBJ) 
-			@						\
-			$(ECHO) "Linkage             of $*";		\
-			$(LD) -o $@ $^ $(LD_OPT);
-
-$(DIR_OBJ)/%.o		: $(DIR_ASM)/%.s	
-			@						\
-			$(ECHO) "Compile             of $*";		\
-			$(CC) $(CC_OPT) -I$(DIR_INC)    -o $@   -c $^ ;	\
-			$(CC) $(CC_OPT) -I$(DIR_INC) -S -o $@.s -c $^ ;
-#			@$(AS) $(AS_OPT) $^ -o $@
-
-$(DIR_OBJ)/%.o		: $(DIR_SYS)/%.s	
-			@						\
-			$(ECHO) "Compile             of $*";		\
-			$(CC) $(CC_OPT) -I$(DIR_INC)    -o $@   -c $^ ;	\
-			$(CC) $(CC_OPT) -I$(DIR_INC) -S -o $@.s -c $^ ;
-#			@$(AS) $(AS_OPT) $^ -o $@
-
-$(DIR_OBJ)/%.o		: $(DIR_C)/%.c
-			@						\
-			$(ECHO) "Compile             of $*";		\
-			$(CC) $(CC_OPT) -I$(DIR_INC)    -o $@   -c $^ ;	\
-			$(CC) $(CC_OPT) -I$(DIR_INC) -S -o $@.s -c $^ ;
-
-#-----[ Environement ]------------------------------------------------------------
-test_env		:
-# ifeq ($(origin TOOLS), undefined)
-# 			$(error "variable TOOLS is undefined");
-# endif
-# ifeq ($(origin SOFT), undefined)
-# 			$(error "variable SOFT  is undefined");
-# endif
-			@$(MKDIR) $(DIR_OBJ) $(DIR_BIN)
-
-#-----[ Maintenance ]-------------------------------------------------------------
-clean 			:
-			@\
-			$(ECHO) "Delete     temporary files              "`$(PWD)`;		\
-			$(RM) $(DIR_OBJ) $(DIR_BIN);						\
-			$(MAKE) clean_rec DIR_CLEAN=.;
-
-#Clean recursive
-clean_rec		:
-			@\
-			$(ECHO) "Delete     temporary files in directory $(DIR_CLEAN)";		\
-			$(RM) -f $(DIR_CLEAN)/*~;						\
-			for files in `$(LS) $(DIR_CLEAN)`; do					\
-			    	if $(TEST) -d $(DIR_CLEAN)/$$files; 				\
-				then 								\
-					$(MAKE) clean_rec DIR_CLEAN=$(DIR_CLEAN)/$$files;	\
-				fi; 								\
-			done;
-
-#-----[ Help ]--------------------------------------------------------------------
-help			:
-			@\
-			$(ECHO) "";\
-			$(ECHO) "List of directive   : ";\
-			$(ECHO) " * make             : Compile the software";\
-			$(ECHO) " * make clean       : Erase all files generates";\
-			$(ECHO) "";
Index: trunk/Softwares/Min.or32/Makefile.morpheo
===================================================================
--- trunk/Softwares/Min.or32/Makefile.morpheo	(revision 68)
+++ 	(revision )
@@ -1,50 +1,0 @@
-#-----[ Usual commands ]----------------------------------------------------------
-RM			= rm -fr
-MKDIR			= mkdir -p
-ECHO			= echo
-CCACHE			= 
-LS			= ls
-TEST			= test
-CAT			= cat
-READ			= read
-SED			= sed
-MAKE			= make -s
-CD			= cd
-PWD			= pwd
-
-#-----[ Directory ]---------------------------------------------------------------
-DIR_LDSCRIPT		= $(DIR_SRC)/ldscript/
-
-DIR_INCLUDE		= 
-DIR_LIBRARY		= 
-
-#-----[ To the compilation ]------------------------------------------------------
-OPTIMIZE		= -O3 -fomit-frame-pointer -fdelayed-branch -mror -mcmov -msext -mhard-mul -msoft-div -msoft-float
-#Option :
-# -fomit-frame-pointer 			: n'utilise pas le pointeur de frame
-# -fdelayed-branch   			: utilise les delayed slot
-# ON		OFF
-# -mror   	-mno-ror              	: utilisation de l'instruction l.ror
-# -mcmov   	-mno-cmov       	: utilisation de l'instruction l.cmov
-# -msext	-mno-sext		: utilisation des instructions l.extXX
-# -mhard-mul	-msoft-mul	        : utilisation du multiplieur materiel
-# -mhard-div	-msoft-div              : utilisation du diviseur materiel
-# -mhard-float	-msoft-float      	: utilisation du flottant materiel
-# -msibcall     -mno-sibcall            : Enable sibcall optimization
-# -mlogue	-mno-logue 		: Schedule pro/epi-logue.
-# -maj		-mno-aj     		: Use aligned jumps.
-
-# Tools
-CC			= $(CCACHE) or32-elf-gcc
-AS			=           or32-elf-as
-LD			=           or32-elf-ld
-OBJDUMP			=           or32-elf-objdump
-NM           		=           or32-elf-nm
-
-# Tools's option
-CC_OPT			= $(DIR_INCLUDE) $(OPTIMIZE5~) -Wlong-long
-# -DHAVE_LIBC
-AS_OPT			=
-LD_OPT			= -T$(DIR_LDSCRIPT)/or32.ld $(DIR_LIBRARY)  
-OBJDUMP_OPT		= -D
-NM_OPT			= -n
Index: trunk/Softwares/Min.or32/src/sys/crt0.s
===================================================================
--- trunk/Softwares/Min.or32/src/sys/crt0.s	(revision 68)
+++ trunk/Softwares/Min.or32/src/sys/crt0.s	(revision 78)
@@ -16,4 +16,5 @@
 	l.nop	0                    ;
 */
+	
 	.file	"crt0.s"
 	/*
@@ -511,3 +512,2 @@
 	l.rfe
 	l.nop	0
-
